﻿using System;
using System.Collections.Generic;

namespace Encompass
{
    [AttributeUsage(AttributeTargets.Class)]
    public class Renders : Attribute
    {
        public Type drawComponentType;
        public readonly List<Type> componentTypes;

        public Renders(Type drawComponentType, params Type[] componentTypes)
        {
            this.drawComponentType = drawComponentType;
            this.componentTypes = new List<Type>(componentTypes);
        }
    }
}
