﻿using System;
using System.Collections.Generic;

namespace Encompass
{
    internal interface IEntityTracker
    {
        IEnumerable<Type> ComponentTypes { get; }

        bool CheckAndTrackEntity(Guid entityID);
        bool CheckAndUntrackEntity(Guid entityID);
    }
}
