﻿using System;
using System.Collections.Generic;
using System.Linq;

namespace Encompass
{
    internal static class EntityChecker
    {
        public static bool CheckEntity(ComponentManager componentManager, Entity entity, IEnumerable<Type> componentTypes)
        {
            return componentTypes.All((componentType) => componentManager.EntityHasComponentOfType(entity.ID, componentType));
        }
    }
}
