﻿using System;
using System.Collections.Generic;

namespace Encompass
{
    [AttributeUsage(AttributeTargets.Class)]
    public class Detects : Attribute
    {
        public readonly List<Type> componentTypes;

        public Detects(params Type[] componentTypes)
        {
            this.componentTypes = new List<Type>(componentTypes);
        }
    }
}
